org.apache.cassandra.cql3

## Enum CQL3Type.Native

- java.lang.Object
- - java.lang.Enum<CQL3Type.Native>
  - - org.apache.cassandra.cql3.CQL3Type.Native

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CQL3Type.Native>, CQL3Type

Enclosing interface:
  CQL3Type

    public static enum CQL3Type.Native
    extends java.lang.Enum<CQL3Type.Native>
    implements CQL3Type

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.CQL3Type

`CQL3Type.Collection, CQL3Type.Custom, CQL3Type.Native, CQL3Type.Raw, CQL3Type.Tuple, CQL3Type.UserDefined`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASCII`
`BIGINT`
`BLOB`
`BOOLEAN`
`COUNTER`
`DATE`
`DECIMAL`
`DOUBLE`
`FLOAT`
`INET`
`INT`
`SMALLINT`
`TEXT`
`TIME`
`TIMESTAMP`
`TIMEUUID`
`TINYINT`
`UUID`
`VARCHAR`
`VARINT`

### Field Summary

### Fields inherited from interface org.apache.cassandra.cql3.CQL3Type

`logger`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AbstractType<?>` `getType()`
`boolean` `isCollection()`
`java.lang.String` `toString()`
`static CQL3Type.Native` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CQL3Type.Native[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASCII

    public static final CQL3Type.Native ASCII

#### BIGINT

    public static final CQL3Type.Native BIGINT

#### BLOB

    public static final CQL3Type.Native BLOB

#### BOOLEAN

    public static final CQL3Type.Native BOOLEAN

#### COUNTER

    public static final CQL3Type.Native COUNTER

#### DECIMAL

    public static final CQL3Type.Native DECIMAL

#### DOUBLE

    public static final CQL3Type.Native DOUBLE

#### FLOAT

    public static final CQL3Type.Native FLOAT

#### INET

    public static final CQL3Type.Native INET

#### INT

    public static final CQL3Type.Native INT

#### SMALLINT

    public static final CQL3Type.Native SMALLINT

#### TEXT

    public static final CQL3Type.Native TEXT

#### TIMESTAMP

    public static final CQL3Type.Native TIMESTAMP

#### TINYINT

    public static final CQL3Type.Native TINYINT

#### UUID

    public static final CQL3Type.Native UUID

#### VARCHAR

    public static final CQL3Type.Native VARCHAR

#### VARINT

    public static final CQL3Type.Native VARINT

#### TIMEUUID

    public static final CQL3Type.Native TIMEUUID

#### DATE

    public static final CQL3Type.Native DATE

#### TIME

    public static final CQL3Type.Native TIME

### Method Detail

#### values

    public static CQL3Type.Native[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CQL3Type.Native c : CQL3Type.Native.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CQL3Type.Native valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isCollection

    public boolean isCollection()

Specified by:
  `isCollection` in interface `CQL3Type`

#### getType

    public AbstractType<?> getType()

Specified by:
  `getType` in interface `CQL3Type`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<CQL3Type.Native>`